CREATE TABLE gtg_ts_requisition (
    ETL_SEQUENCE_ID                   NUMBER(19, 0) ,
    ETL_VERSION_NUMBER                NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER             NUMBER(18, 0) ,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    AMOUNT                            NUMBER        ,
    APPROVED_DATE                     TIMESTAMP(6)  ,
    ASSESSABLE_VALUE                  NUMBER        ,
    CANCEL_DATE                       DATE          ,
    CANCEL_FLAG                       VARCHAR2(4)   ,
    CANCEL_REASON                     VARCHAR2(960) ,
    CATEGORY_ID                       NUMBER(18, 0) ,
    CODE_COMBINATION_ID               NUMBER(18, 0) ,
    CURRENCY_AMOUNT                   NUMBER        ,
    CURRENCY_CODE                     VARCHAR2(60)  ,
    CURRENCY_UNIT_PRICE               NUMBER        ,
    DELIVER_TO_LOCATION_ID            NUMBER(18, 0) ,
    DESCRIPTION                       VARCHAR2(960) ,
    DESTINATION_ORGANIZATION_ID       NUMBER(18, 0) ,
    DESTINATION_SUBINVENTORY          VARCHAR2(40)  ,
    DESTINATION_TYPE_CODE             VARCHAR2(100) ,
    DISTRIBUTION_AMOUNT               NUMBER        ,
    DISTRIBUTION_CURRENCY_AMOUNT      NUMBER        ,
    DISTRIBUTION_ID                   NUMBER(18, 0) ,
    DISTRIBUTION_NUMBER               NUMBER        ,
    DISTRIBUTION_QUANTITY             NUMBER        ,
    DOCUMENT_STATUS                   VARCHAR2(100) ,
    FUNDS_STATUS                      VARCHAR2(120) ,
    HAS_CANCELED_LINES                VARCHAR2(4)   ,
    HAZARD_CLASS_ID                   NUMBER(18, 0) ,
    ITEM_DESCRIPTION                  VARCHAR2(960) ,
    ITEM_ID                           NUMBER(18, 0) ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    JUSTIFICATION                     VARCHAR2(4000),
    LINE_NUMBER                       NUMBER        ,
    LINE_STATUS                       VARCHAR2(100) ,
    LINE_TYPE_ID                      NUMBER(18, 0) ,
    NEED_BY_DATE                      DATE          ,
    NEGOTIATION_REQUIRED_FLAG         VARCHAR2(4)   ,
    NOTE_TO_BUYER                     VARCHAR2(4000),
    NOTE_TO_RECEIVER                  VARCHAR2(4000),
    ON_RFQ_FLAG                       VARCHAR2(4)   ,
    OVERRIDING_APPROVER_ID            NUMBER(18, 0) ,
    PERCENT                           NUMBER        ,
    PJC_CONTRACT_ID                   NUMBER(18, 0) ,
    PJC_EXPENDITURE_ITEM_DATE         DATE          ,
    PJC_FUNDING_ALLOCATION_ID         NUMBER(18, 0) ,
    PJC_ORGANIZATION_ID               NUMBER(18, 0) ,
    PJC_PROJECT_ID                    NUMBER(18, 0) ,
    PJC_TASK_ID                       NUMBER(18, 0) ,
    PJC_WORK_TYPE_ID                  NUMBER(18, 0) ,
    PORREQDISTRIBUTIONSALL_CB         VARCHAR2(256) ,
    PORREQDISTRIBUTIONSALL_CD         TIMESTAMP(6)  ,
    PORREQDISTRIBUTIONSALL_LUB        VARCHAR2(256) ,
    PORREQDISTRIBUTIONSALL_LUD        TIMESTAMP(6)  ,
    PORREQUISITIONHEADERSALL_CB       VARCHAR2(256) ,
    PORREQUISITIONHEADERSALL_CD       TIMESTAMP(6)  ,
    PORREQUISITIONHEADERSALL_LUB      VARCHAR2(256) ,
    PORREQUISITIONHEADERSALL_LUD      TIMESTAMP(6)  ,
    PORREQUISITIONLINESALL_CB         VARCHAR2(256) ,
    PORREQUISITIONLINESALL_CD         TIMESTAMP(6)  ,
    PORREQUISITIONLINESALL_LUB        VARCHAR2(256) ,
    PORREQUISITIONLINESALL_LUD        TIMESTAMP(6)  ,
    PO_HEADER_ID                      NUMBER(18, 0) ,
    PREPARER_ID                       NUMBER(18, 0) ,
    PURCHASE_BASIS                    VARCHAR2(120) ,
    QUANTITY                          NUMBER        ,
    QUANTITY_CANCELLED                NUMBER        ,
    QUANTITY_DELIVERED                NUMBER        ,
    QUANTITY_RECEIVED                 NUMBER        ,
    RATE                              NUMBER        ,
    RATE_DATE                         DATE          ,
    RATE_TYPE                         VARCHAR2(120) ,
    REQUESTER_ID                      NUMBER(18, 0) ,
    REQUISITIONORGID                  NUMBER(18, 0) ,
    REQUISITION_HEADER_ID             NUMBER(18, 0) ,
    REQUISITION_LINE_ID               NUMBER(18, 0) ,
    REQUISITION_NUMBER                VARCHAR2(256) ,
    REQ_BU_ID                         NUMBER(18, 0) ,
    SECONDARY_QUANTITY                NUMBER        ,
    SECONDARY_UOM_CODE                VARCHAR2(12)  ,
    SOURCE_DOC_HEADER_ID              NUMBER(18, 0) ,
    SOURCE_DOC_LINE_ID                NUMBER(18, 0) ,
    SUGGESTED_BUYER_ID                NUMBER(18, 0) ,
    SUGGESTED_SUPPLIER_ITEM_NUMBER    VARCHAR2(1200),
    SUGGESTED_VENDOR_CONTACT          VARCHAR2(320) ,
    SUGGESTED_VENDOR_CONTACT_PHONE    VARCHAR2(120) ,
    SUGGESTED_VENDOR_NAME             VARCHAR2(1440),
    SUGGESTED_VENDOR_SITE             VARCHAR2(960) ,
    UNIT_PRICE                        NUMBER        ,
    UNSPSC_CODE                       VARCHAR2(2800),
    UN_NUMBER_ID                      NUMBER(18, 0) ,
    UOM_CODE                          VARCHAR2(12)  ,
    VENDOR_CONTACT_ID                 NUMBER(18, 0) ,
    VENDOR_ID                         NUMBER(18, 0) ,
    VENDOR_SITE_ID                    NUMBER(18, 0) ,
    ETL_SEQUENCE_ID                   NUMBER(19, 0) ,
    ETL_VERSION_NUMBER                NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER             NUMBER(18, 0) ,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    AMOUNT                            NUMBER        ,
    APPROVED_DATE                     TIMESTAMP(6)  ,
    ASSESSABLE_VALUE                  NUMBER        ,
    CANCEL_DATE                       DATE          ,
    CANCEL_FLAG                       VARCHAR2(4)   ,
    CANCEL_REASON                     VARCHAR2(960) ,
    CATEGORY_ID                       NUMBER(18, 0) ,
    CODE_COMBINATION_ID               NUMBER(18, 0) ,
    CURRENCY_AMOUNT                   NUMBER        ,
    CURRENCY_CODE                     VARCHAR2(60)  ,
    CURRENCY_UNIT_PRICE               NUMBER        ,
    DELIVER_TO_LOCATION_ID            NUMBER(18, 0) ,
    DESCRIPTION                       VARCHAR2(960) ,
    DESTINATION_ORGANIZATION_ID       NUMBER(18, 0) ,
    DESTINATION_SUBINVENTORY          VARCHAR2(40)  ,
    DESTINATION_TYPE_CODE             VARCHAR2(100) ,
    DISTRIBUTION_AMOUNT               NUMBER        ,
    DISTRIBUTION_CURRENCY_AMOUNT      NUMBER        ,
    DISTRIBUTION_ID                   NUMBER(18, 0) ,
    DISTRIBUTION_NUMBER               NUMBER        ,
    DISTRIBUTION_QUANTITY             NUMBER        ,
    DOCUMENT_STATUS                   VARCHAR2(100) ,
    FUNDS_STATUS                      VARCHAR2(120) ,
    HAS_CANCELED_LINES                VARCHAR2(4)   ,
    HAZARD_CLASS_ID                   NUMBER(18, 0) ,
    ITEM_DESCRIPTION                  VARCHAR2(960) ,
    ITEM_ID                           NUMBER(18, 0) ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    JUSTIFICATION                     VARCHAR2(4000),
    LINE_NUMBER                       NUMBER        ,
    LINE_STATUS                       VARCHAR2(100) ,
    LINE_TYPE_ID                      NUMBER(18, 0) ,
    NEED_BY_DATE                      DATE          ,
    NEGOTIATION_REQUIRED_FLAG         VARCHAR2(4)   ,
    NOTE_TO_BUYER                     VARCHAR2(4000),
    NOTE_TO_RECEIVER                  VARCHAR2(4000),
    ON_RFQ_FLAG                       VARCHAR2(4)   ,
    OVERRIDING_APPROVER_ID            NUMBER(18, 0) ,
    PERCENT                           NUMBER        ,
    PJC_CONTRACT_ID                   NUMBER(18, 0) ,
    PJC_EXPENDITURE_ITEM_DATE         DATE          ,
    PJC_FUNDING_ALLOCATION_ID         NUMBER(18, 0) ,
    PJC_ORGANIZATION_ID               NUMBER(18, 0) ,
    PJC_PROJECT_ID                    NUMBER(18, 0) ,
    PJC_TASK_ID                       NUMBER(18, 0) ,
    PJC_WORK_TYPE_ID                  NUMBER(18, 0) ,
    PORREQDISTRIBUTIONSALL_CB         VARCHAR2(256) ,
    PORREQDISTRIBUTIONSALL_CD         TIMESTAMP(6)  ,
    PORREQDISTRIBUTIONSALL_LUB        VARCHAR2(256) ,
    PORREQDISTRIBUTIONSALL_LUD        TIMESTAMP(6)  ,
    PORREQUISITIONHEADERSALL_CB       VARCHAR2(256) ,
    PORREQUISITIONHEADERSALL_CD       TIMESTAMP(6)  ,
    PORREQUISITIONHEADERSALL_LUB      VARCHAR2(256) ,
    PORREQUISITIONHEADERSALL_LUD      TIMESTAMP(6)  ,
    PORREQUISITIONLINESALL_CB         VARCHAR2(256) ,
    PORREQUISITIONLINESALL_CD         TIMESTAMP(6)  ,
    PORREQUISITIONLINESALL_LUB        VARCHAR2(256) ,
    PORREQUISITIONLINESALL_LUD        TIMESTAMP(6)  ,
    PO_HEADER_ID                      NUMBER(18, 0) ,
    PREPARER_ID                       NUMBER(18, 0) ,
    PURCHASE_BASIS                    VARCHAR2(120) ,
    QUANTITY                          NUMBER        ,
    QUANTITY_CANCELLED                NUMBER        ,
    QUANTITY_DELIVERED                NUMBER        ,
    QUANTITY_RECEIVED                 NUMBER        ,
    RATE                              NUMBER        ,
    RATE_DATE                         DATE          ,
    RATE_TYPE                         VARCHAR2(120) ,
    REQUESTER_ID                      NUMBER(18, 0) ,
    REQUISITIONORGID                  NUMBER(18, 0) ,
    REQUISITION_HEADER_ID             NUMBER(18, 0) ,
    REQUISITION_LINE_ID               NUMBER(18, 0) ,
    REQUISITION_NUMBER                VARCHAR2(256) ,
    REQ_BU_ID                         NUMBER(18, 0) ,
    SECONDARY_QUANTITY                NUMBER        ,
    SECONDARY_UOM_CODE                VARCHAR2(12)  ,
    SOURCE_DOC_HEADER_ID              NUMBER(18, 0) ,
    SOURCE_DOC_LINE_ID                NUMBER(18, 0) ,
    SUGGESTED_BUYER_ID                NUMBER(18, 0) ,
    SUGGESTED_SUPPLIER_ITEM_NUMBER    VARCHAR2(1200),
    SUGGESTED_VENDOR_CONTACT          VARCHAR2(320) ,
    SUGGESTED_VENDOR_CONTACT_PHONE    VARCHAR2(120) ,
    SUGGESTED_VENDOR_NAME             VARCHAR2(1440),
    SUGGESTED_VENDOR_SITE             VARCHAR2(960) ,
    UNIT_PRICE                        NUMBER        ,
    UNSPSC_CODE                       VARCHAR2(2800),
    UN_NUMBER_ID                      NUMBER(18, 0) ,
    UOM_CODE                          VARCHAR2(12)  ,
    VENDOR_CONTACT_ID                 NUMBER(18, 0) ,
    VENDOR_ID                         NUMBER(18, 0) ,
    VENDOR_SITE_ID                    NUMBER(18, 0) ,
    CONSTRAINT pk_gtg_ts_requisition PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
